#!/bin/bash

logs_dir="/opt/OttoFMS/logs"
stdout_file="/opt/OttoFMS/logs/stdout.log"
stderr_file="/opt/OttoFMS/logs/stderr.log"

if [ ! -d "$logs_dir" ]; then
    mkdir -p "$logs_dir"
		chmod 775 "$logs_dir"
		chown fmserver:fmsadmin "$logs_dir"
fi

# Create the log files if they don't exist
if [ ! -f "$stdout_file" ]; then
    touch "$stdout_file"
		chmod 775 "$stdout_file"
		chown fmserver:fmsadmin "$stdout_file"
fi

if [ ! -f "$stderr_file" ]; then
    touch "$stderr_file"
		chmod 775 "$stderr_file"
		chown fmserver:fmsadmin "$stderr_file"
fi
